Observability
Read log metadata using the shared Observability filter, without loading payloads.
Read log metadata using the shared Observability filter, without loading payloads. The request is scoped to the authenticated RevoEngine instance and operation policy.
POST
/
api
/
v1
/
observability
/
logs
/
query
Read log metadata using the shared Observability filter, without loading payloads.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/logs/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "<string>",
"filter": {
"severities": [
"<string>"
],
"events": [
"<string>"
],
"nodeId": "<string>",
"services": [
"<string>"
],
"kinds": [
"<string>"
],
"outcomes": [],
"resourceIds": [
"<string>"
],
"actorIds": [
"<string>"
],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
filter: {
severities: ['<string>'],
events: ['<string>'],
nodeId: '<string>',
services: ['<string>'],
kinds: ['<string>'],
outcomes: [],
resourceIds: ['<string>'],
actorIds: ['<string>'],
operationId: '<string>',
executionId: '<string>',
rootExecutionId: '<string>',
search: '<string>'
},
pageSize: 100,
investigationId: '<string>'
})
};
fetch('https://api.revoengine.com/api/v1/observability/logs/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/logs/query"
payload = {
"from": "<string>",
"to": "<string>",
"filter": {
"severities": ["<string>"],
"events": ["<string>"],
"nodeId": "<string>",
"services": ["<string>"],
"kinds": ["<string>"],
"outcomes": [],
"resourceIds": ["<string>"],
"actorIds": ["<string>"],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"logId": "<string>",
"time": "<string>",
"nodeId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"operationId": "<string>",
"event": "<string>",
"severity": "<string>",
"message": "<string>",
"service": "<string>",
"statusCode": 123,
"locator": "<string>"
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
UTC inclusive lower bound. Defaults to the preceding 24 hours.
UTC exclusive upper bound. Defaults to now. A single query may cover at most 7 days.
Show child attributes
Show child attributes
Required range:
1 <= x <= 200Opaque investigation budget identifier returned by this API.
Last modified on October 5, 2026
⌘I
Read log metadata using the shared Observability filter, without loading payloads.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/logs/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "<string>",
"filter": {
"severities": [
"<string>"
],
"events": [
"<string>"
],
"nodeId": "<string>",
"services": [
"<string>"
],
"kinds": [
"<string>"
],
"outcomes": [],
"resourceIds": [
"<string>"
],
"actorIds": [
"<string>"
],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
filter: {
severities: ['<string>'],
events: ['<string>'],
nodeId: '<string>',
services: ['<string>'],
kinds: ['<string>'],
outcomes: [],
resourceIds: ['<string>'],
actorIds: ['<string>'],
operationId: '<string>',
executionId: '<string>',
rootExecutionId: '<string>',
search: '<string>'
},
pageSize: 100,
investigationId: '<string>'
})
};
fetch('https://api.revoengine.com/api/v1/observability/logs/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/logs/query"
payload = {
"from": "<string>",
"to": "<string>",
"filter": {
"severities": ["<string>"],
"events": ["<string>"],
"nodeId": "<string>",
"services": ["<string>"],
"kinds": ["<string>"],
"outcomes": [],
"resourceIds": ["<string>"],
"actorIds": ["<string>"],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"logId": "<string>",
"time": "<string>",
"nodeId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"operationId": "<string>",
"event": "<string>",
"severity": "<string>",
"message": "<string>",
"service": "<string>",
"statusCode": 123,
"locator": "<string>"
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}
